Subject: Re: "GCC is not found" and "compiler cannot create executables" errors
From: david sastre <[email-masked]>
To: [email-masked]
Date: Thu, 8 Apr 2010 16:36:07 +0200
List-Id: <cygwin.cygwin.com>

2010/4/8, Warren Young <[email-masked]>:
> On 4/8/2010 6:11 AM, david sastre wrote:
>>
>> Yesterday (still under1.7.3) I had a "compiler not found" and a
>> "compiler cannot create executables" errors while trying to build some
>> standard apps, i.e. nginx.
>
> Write this out to a file called hello.c:
>
> #include <stdio.h>
> int main(void)
> {
> 	printf("Hello, world!\n");
> 	return 0;
> }
>
> Then say "make hello" in that directory.  If you don't get a "hello"
> program that says "Hello, world!" when you run it, you haven't got the
> compiler and associated stuff installed.  Post the errors you get.
I know that stuff is installed, because I use often. What I can't
figure out is why is has stopped working.
I already tried that. My script was also the simplest case possible:
l
#include <stdio.h>
main(){
        printf("Hola Mundo!\n");
}

Both scripts give back:

$ make hola.mundo
cc -march=prescott -O2 -pipe -fomit-frame-pointer    hola.mundo.c   -o
hola.mundo
make: *** [hola.mundo] Error 1

Also, direct gcc invocation exits silenlty:
$ gcc hola.mundo.c

Regards.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple